/**
 *  @file EightProof.cpp
 *
 *  @author kapela  @date 2011-01-13
 */

#include "Proof.h"
#include "EightMap.h"

 
int main(int argc, char **argv) {
  
  typedef BasicEightMap<PoincareMap > NonRigorousMap;
  typedef EightMap<IPoincareMap> RigorousMap;
  typedef EightMap< ICnPoincareMap>  RigorousCnMap;
  
  capd::sout << "\n Eight existence proof \n";
  
  makeCompleteProof<NonRigorousMap, RigorousMap, RigorousCnMap>(argc, argv);
 
  return 0;
}
