/**
 *  @file existenceProof.cpp
 *
 *  @author kapela  @date 2011-01-13
 */

#include "Proof.h"
#include "H4Map.h"
#include <capd/auxil/Logger.h>

int main(int argc, char **argv) {
  
  
  INIT_CAPD_LOGGER;
  
  typedef H4BasicMap<PoincareMap > NonRigorousH4Map;
  typedef H4Map<IPoincareMap> RigorousMap;
  typedef H4Map< ICnPoincareMap>  RigorousCnMap;
   
  capd::sout << "\n Quartic potential - KAM stability proof \n";
  
  makeCompleteProof<NonRigorousH4Map, RigorousMap, RigorousCnMap>(argc, argv);
  
  return 0;
}
  
